Bug 1031730 - Dashboard graph group does not retain group configuration
Dashboard graph group does not retain group configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity medium
: ER02
: JON 3.3.0
Assigned To: Jirka Kremser
Armine Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 11:01 EST by Peter Larsen
Modified: 2015-09-02 20:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:04:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grp_metrics_dashboard (167.00 KB, application/octet-stream)
2014-09-05 11:33 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Peter Larsen 2013-11-18 11:01:58 EST
Description of problem:

Editing a "Resource Group Graph" on the dash board does not retain the group name the dash/portlet was created with.

How reproducible:

Every time.

Steps to Reproduce:

1. Create new dashboard
2. Create compatible group of EAP servers (more than one instance member)
3. Edit dashboard, add "Resource Graph from Group" to dash board
4. Pick the group created in step 2
5. Pick a metric
6. Apply
7. Click edit on the porlet (the gear in the right corner)

Group is not selected

Actual results:

Group is not selected

Expected results:

Entered parameters (metric name and group) would still be present.

Additional info:
Comment 1 Jirka Kremser 2014-08-21 10:22:35 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/7c78a3b78
time:    2014-08-21 16:17:54 +0200
commit:  7c78a3b78dadcb401ea279f6f1aa47310996855c
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1031730] - Dashboard graph group does not retain group configuration
         - SingleResourceGroupSelector component now pre-selects the
         group stored in user prefs
Comment 2 Jirka Kremser 2014-08-22 11:02:16 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/139f3785d
time:    2014-08-22 17:00:11 +0200
commit:  139f3785dd19c3e2070795af6b21fc289de97edc
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1031730] - Dashboard graph group does not retain group configuration
         - removing one unnecessary call of
         doPostPopulateAvailableGrid(), adding i18n for a message from
         AbstractSelector, reducing visibility from public to protected
Comment 3 Jay Shaughnessy 2014-08-22 11:12:03 EDT
Reviewed and backported:

release/jon3.3.x commit f39127727f77556a815bd81afc5614463b4773d0
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Aug 22 11:08:10 2014 -0400

    Cherry-Pick master: 7c78a3b78dadcb401ea279f6f1aa47310996855c

release/jon3.3.x  commit 5d434cfb424cf2e40bf9475996f72ff8600ec5ae
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Aug 22 11:10:03 2014 -0400

    Cherry-Pick Master 139f3785dd19c3e2070795af6b21fc289de97edc
Comment 4 Simeon Pinder 2014-09-03 16:31:49 EDT
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194
Comment 5 Armine Hovsepyan 2014-09-05 11:33:57 EDT
Created attachment 934848 [details]
grp_metrics_dashboard
Comment 6 Armine Hovsepyan 2014-09-05 11:34:16 EDT
verified in JON 3.3 ER02
screen-shot attached

Note You need to log in before you can comment on or make changes to this bug.